% Fifth inline example in MEX paper
pratt = gmt ('read', '-Td pratt.txt');
load centers.txt
inside = gmt ('select', '-C+d200k -fg', centers, pratt);
% We check that things work as well here
figure (5); clf
plot (centers(:,1), centers(:,2), 'r*')
hold on
plot (inside.data(:,1), inside.data(:,2), 'g*')
x = 200*cosd(0:360)/(111.13*cosd(pratt.data(:,2)));
y = 200*sind(0:360)/111.13;
plot (pratt.data(:,1)+x, pratt.data(:,2)+y, 'r-')
